Bug 61485 - Man page for deprecated function pthread_mutexattr_setkind_np should be replaced by man page for pthread_mutexattr_settype
Man page for deprecated function pthread_mutexattr_setkind_np should be repla...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-20 10:02 EST by Wan-Teh Chang
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 16:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wan-Teh Chang 2002-03-20 10:02:45 EST
Description of problem:
The functions pthread_mutexattr_setkind_np
and pthread_mutexattr_getkind_np are deprecated and replaced
by pthread_mutexattr_settype and pthread_mutexattr_gettype.
But the man page for pthread_mutexattr_setkind_np still exists,
and there is no man page for pthread_mutexattr_settype.

How reproducible:
Always

Steps to Reproduce:
1. man pthread_mutexattr_setkind_np
2. man pthread_mutexattr_settype
Comment 1 Trond Eivind Glomsrxd 2002-04-05 16:03:34 EST
Those man-pages are part of glibc-devel... reassigning.
Comment 2 Ulrich Drepper 2002-04-05 16:06:30 EST
The statement is basically correct.  Whether the documentation for
pthread_mutexattr_setkind_np should go away is another question.  It still
exists.  I'd have no problems with seeing it gone.  But it's also useful
to have
it contain a big fat warning and a pointer to pthread_mutexattr_settype.
Comment 3 Wan-Teh Chang 2002-04-05 16:27:54 EST
pthread_mutexattr_setkind_np still exists in libpthread.so
but is no longer declared in <pthread.h>.
Comment 4 Jakub Jelinek 2002-04-11 12:13:29 EDT
Fixed in glibc-devel-2.2.5-32.

Note You need to log in before you can comment on or make changes to this bug.